!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_388) = sqrt(2d0)/2d0
      coupl(nGC_389) = -sqrt(2d0)*cima/2d0
      coupl(nGC_382) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_383) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_380) = -cima*ee**2d0*vev/sw**3d0
      coupl(nGC_381) = cima*ee**2d0*vev/sw**2d0
      coupl(nGC_386) = -gs
      coupl(nGC_387) = -sqrt(2d0)/2d0
      coupl(nGC_384) = -cima*ee**2d0*vev/sw
      coupl(nGC_385) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_377) = -cima*lam/2d0
      coupl(nGC_376) = -cima*vev/2d0
      coupl(nGC_375) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_374) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_372) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_371) = ee**2d0/cw
      coupl(nGC_370) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_16) = cMW*cima*ee
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_28) = ee**2d0/(2d0*sw)
      coupl(nGC_29) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_22) = ee/(2d0*sw)
      coupl(nGC_23) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_20) = -cima*ee/(2d0*sw)
      coupl(nGC_21) = cima*ee/(2d0*sw)
      coupl(nGC_26) = -ee**2d0/(2d0*sw)
      coupl(nGC_27) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_24) = -cima*cw*ee/sw
      coupl(nGC_25) = cima*cw*ee/sw
      coupl(nGC_158) = -coupl(nGC_24)
      coupl(nGC_14) = -cima*lam
      coupl(nGC_440) = cima*ee/(2d0*sw)
      coupl(nGC_36) = cima*ee*sw/cw
      coupl(nGC_83) = -sqrt(2d0)*cima*ytau/2d0
      coupl(nGC_84) = sqrt(2d0)*ytau/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_85) = cima*yup
      coupl(nGC_I) = cima
      coupl(nGC_331) = cima*ee/cw
      coupl(nGC_330) = cima*ee*sw/cw
      coupl(nGC_337) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_336) = -ee**2d0/cw
      coupl(nGC_335) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_334) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_81) = -cima*ytau
      coupl(nGC_339) = ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_82) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_338) = -ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_424) = -cima*ee/(2d0*sw)
      coupl(nGC_7) = -ee**2d0/(2d0*cw)
      coupl(nGC_6) = 2d0*cima*ee**2d0
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = ee**2d0/(2d0*cw)
      coupl(nGC_8) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_333) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_348) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_349) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_346) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_347) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_344) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_345) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_342) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_343) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_340) = -ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_341) = -sqrt(2d0)*cima/2d0
      coupl(nGC_53) = -cima*yb
      coupl(nGC_52) = cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + cima*ee**2d0*vev&
                       + cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_51) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_50) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_57) = cima*yc
      coupl(nGC_56) = sqrt(2d0)*yb/2d0
      coupl(nGC_55) = -sqrt(2d0)*cima*yb/2d0
      coupl(nGC_54) = -sqrt(2d0)*yb/2d0
      coupl(nGC_13) = -cima*lam/2d0
      coupl(nGC_59) = -sqrt(2d0)*cima*yc/2d0
      coupl(nGC_58) = -sqrt(2d0)*yc/2d0
      coupl(nGC_12) = cima*gs**2d0
      coupl(nGC_11) = cima*gs
      coupl(nGC_10) = -gs
      coupl(nGC_168) = -coupl(nGC_29)/2d0
      coupl(nGC_162) = -coupl(nGC_25)
      coupl(nGC_166) = -coupl(nGC_21)
      coupl(nGC_164) = -coupl(nGC_3)
      coupl(nGC_310) = 2d0*cima*ee**2d0/sw
      coupl(nGC_19) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_399) = -sqrt(2d0)*cima/2d0
      coupl(nGC_398) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw** &
                       2d0)
      coupl(nGC_391) = -sqrt(2d0)/2d0
      coupl(nGC_390) = -sqrt(2d0)/2d0
      coupl(nGC_393) = sqrt(2d0)/2d0
      coupl(nGC_392) = -sqrt(2d0)/2d0
      coupl(nGC_395) = -cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                       )/(cw**2d0*sw**3d0)
      coupl(nGC_394) = -sqrt(2d0)*cima/2d0
      coupl(nGC_397) = cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0 &
                       )/(cw**3d0*sw**2d0)
      coupl(nGC_396) = cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw** &
                       2d0)
      coupl(nGC_308) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_17) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_18) = -cima*ee**2d0/sw**2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_418) = -cima*ee**2d0/sw**3d0
      coupl(nGC_419) = sqrt(2d0)/2d0
      coupl(nGC_417) = cima*ee**2d0/sw**2d0
      coupl(nGC_414) = -sqrt(2d0)/2d0
      coupl(nGC_415) = cima*ee/(2d0*cMW)
      coupl(nGC_412) = -cima*ee**2d0/cw
      coupl(nGC_413) = cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_410) = sqrt(2d0)/2d0
      coupl(nGC_411) = -sqrt(2d0)*cima/2d0
      coupl(nGC_416) = cMW*cima*ee
      coupl(nGC_421) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_420) = -3d0*cima/2d0
      coupl(nGC_429) = -sqrt(2d0)/2d0
      coupl(nGC_428) = sqrt(2d0)/2d0
      coupl(nGC_450) = cima*cw*ee/sw**2d0
      coupl(nGC_373) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_379) = -3d0*cima*lam/2d0
      coupl(nGC_378) = -3d0*cima*vev/2d0
      coupl(nGC_452) = sqrt(2d0)/2d0
      coupl(nGC_451) = -cima*ee/sw
      coupl(nGC_359) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_358) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_355) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_354) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_357) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_356) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_351) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_350) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_353) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_352) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_48) = -cima*lam*vev/2d0
      coupl(nGC_49) = -3d0*cima*lam*vev/2d0
      coupl(nGC_44) = -cMZ*cima*cw*ee/(2d0*sw) - cMZ*cima*ee*sw/(2d0*cw)
      coupl(nGC_45) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_46) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*&
                      ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_47) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_40) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_41) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_42) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_43) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
      coupl(nGC_178) = -coupl(nGC_10)
      coupl(nGC_170) = -2d0*coupl(nGC_5)
      coupl(nGC_172) = -2d0*coupl(nGC_19)
      coupl(nGC_174) = -coupl(nGC_20)
      coupl(nGC_176) = -coupl(nGC_40)
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_311) = -cima*ee**2d0/sw
      coupl(nGC_313) = ee**2d0/sw
      coupl(nGC_319) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_318) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_87) = -sqrt(2d0)*cima*yup/2d0
      coupl(nGC_152) = 1d0/(2d0*cMZ)
      coupl(nGC_160) = -coupl(nGC_4)
      coupl(nGC_409) = sqrt(2d0)/2d0
      coupl(nGC_408) = -cima/2d0
      coupl(nGC_405) = 2d0*cima*ee**2d0
      coupl(nGC_404) = cima*ee
      coupl(nGC_407) = -sqrt(2d0)/2d0
      coupl(nGC_406) = 4d0*cima*ee**2d0
      coupl(nGC_400) = cima*ee/3d0
      coupl(nGC_403) = -cima*ee
      coupl(nGC_402) = 2d0*cima*gs**2d0
      coupl(nGC_75) = -sqrt(2d0)*cima*ys/2d0
      coupl(nGC_74) = -sqrt(2d0)*ys/2d0
      coupl(nGC_77) = cima*yt
      coupl(nGC_76) = sqrt(2d0)*ys/2d0
      coupl(nGC_71) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_70) = -sqrt(2d0)*ym/2d0
      coupl(nGC_73) = -cima*ys
      coupl(nGC_72) = sqrt(2d0)*ym/2d0
      coupl(nGC_79) = -sqrt(2d0)*cima*yt/2d0
      coupl(nGC_78) = -sqrt(2d0)*yt/2d0
      coupl(nGC_188) = -coupl(nGC_12)
      coupl(nGC_427) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_309) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_426) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_401) = -2d0*cima*ee/3d0
      coupl(nGC_425) = cima*ee/(2d0*sw**2d0)
      coupl(nGC_186) = -2d0*coupl(nGC_12)
      coupl(nGC_441) = -cima*ee/(2d0*sw**2d0)
      coupl(nGC_423) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_80) = sqrt(2d0)*yt/2d0
      coupl(nGC_332) = -cima*ee*sw/cw**2d0
      coupl(nGC_443) = -sqrt(2d0)*cima/2d0
      coupl(nGC_442) = -sqrt(2d0)/2d0
      coupl(nGC_445) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_444) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_447) = -cima*cw*ee/sw**2d0
      coupl(nGC_446) = cima*cw*ee/sw
      coupl(nGC_449) = -cima*cw*ee/sw
      coupl(nGC_422) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_368) = -cima*ee**2d0*vev/cw
      coupl(nGC_86) = -sqrt(2d0)*yup/2d0
      coupl(nGC_448) = cima*ee/sw
      coupl(nGC_360) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_361) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_362) = cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_363) = -cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
      coupl(nGC_364) = -cMZ*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_365) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw**&
                       2d0)
      coupl(nGC_366) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_367) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_39) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_38) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_31) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_33) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_32) = cMW*ee/(2d0*sw)
      coupl(nGC_35) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_34) = cima*ee*sw/(3d0*cw)
      coupl(nGC_37) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_144) = cima/(2d0*cMW)
      coupl(nGC_369) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_148) = -cima/(2d0*cMW)
      coupl(nGC_312) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_315) = cMW*cima*ee/(2d0*sw**2d0)
      coupl(nGC_314) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_66) = -sqrt(2d0)*ye/2d0
      coupl(nGC_317) = -cMW*cima*ee/(2d0*sw)
      coupl(nGC_316) = -cima*ee/(4d0*cMW*sw)
      coupl(nGC_15) = -3d0*cima*lam/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_MH) = -cMH**2d0*cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_328) = cima*ee/(3d0*cw)
      coupl(nGC_329) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_324) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_325) = ee/(4d0*cMW*sw)
      coupl(nGC_326) = cMW*ee/(2d0*sw)
      coupl(nGC_327) = cima*ee*sw/(3d0*cw)
      coupl(nGC_320) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_321) = cMW*ee/(2d0*sw**2d0)
      coupl(nGC_322) = -ee/(4d0*cMW*sw)
      coupl(nGC_323) = -cMW*ee/(2d0*sw)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_30) = -cMW*ee/(2d0*sw)
      coupl(nGC_180) = -coupl(nGC_22)
      coupl(nGC_182) = -2d0*coupl(nGC_18)
      coupl(nGC_184) = -coupl(nGC_37)
      coupl(nGC_438) = ee/(2d0*sw)
      coupl(nGC_439) = -ee/(2d0*sw**2d0)
      coupl(nGC_430) = -sqrt(2d0)*cima/2d0
      coupl(nGC_431) = -sqrt(2d0)*cima/2d0
      coupl(nGC_432) = -ee**2d0/sw
      coupl(nGC_433) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_434) = sqrt(2d0)/2d0
      coupl(nGC_435) = -sqrt(2d0)*cima/2d0
      coupl(nGC_436) = -sqrt(2d0)/2d0
      coupl(nGC_437) = sqrt(2d0)/2d0
      coupl(nGC_67) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_64) = sqrt(2d0)*ydo/2d0
      coupl(nGC_65) = -cima*ye
      coupl(nGC_62) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_63) = -sqrt(2d0)*cima*ydo/2d0
      coupl(nGC_60) = sqrt(2d0)*yc/2d0
      coupl(nGC_61) = -cima*ydo
      coupl(nGC_68) = sqrt(2d0)*ye/2d0
      coupl(nGC_69) = -cima*ym
      coupl(nGC_88) = sqrt(2d0)*yup/2d0
      coupl(nGC_112) = cima*gs
      coupl(nGC_190) = 2d0*coupl(nGC_12)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
