!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dMT_QED2 = (2d0*Ten268*cMT*coupl(nGC_2)**2d0 + Ten269*cMT*(-2d0*coupl(nGC_35 &
             )**2d0 + 8d0*coupl(nGC_35)*coupl(nGC_39) - 2d0*coupl(nGC_39)**2d0 &
              - coupl(nGC_78)**2d0 - 2d0*coupl(nGC_78)*coupl(nGC_80) - coupl(  &
             nGC_80)**2d0)/2d0 - Ten270*(2d0*cMB*coupl(nGC_53)*coupl(nGC_77) + &
             2d0*cMT*coupl(nGC_23)**2d0 + cMT*coupl(nGC_53)**2d0 + cMT*coupl(  &
             nGC_77)**2d0)/2d0 + Ten271*cMT*coupl(nGC_79)**2d0 - 2d0*Ten272*cMT&
             *coupl(nGC_2)**2d0 - Ten273*cMT*(coupl(nGC_35)**2d0 + coupl(nGC_39&
             )**2d0 + coupl(nGC_78)*coupl(nGC_80)) - Ten274*cMT*(2d0*coupl(    &
             nGC_23)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_77)**2d0)/2d0 -     &
             Ten275*cMT*coupl(nGC_79)**2d0 + 2d0*Ten276*cMT*coupl(nGC_79)**2d0*&
             rMT*(-cMT + rMT) + 4d0*Ten277*coupl(nGC_2)**2d0*rMT*(2d0*cMT**2d0 &
              - 3d0*cMT*rMT + rMT**2d0) + Ten278*rMT*(8d0*cMT**2d0*coupl(nGC_35&
             )*coupl(nGC_39) - cMT**2d0*coupl(nGC_78)**2d0 - cMT**2d0*coupl(   &
             nGC_80)**2d0 - 2d0*cMT*coupl(nGC_35)**2d0*rMT - 8d0*cMT*coupl(    &
             nGC_35)*coupl(nGC_39)*rMT - 2d0*cMT*coupl(nGC_39)**2d0*rMT + cMT* &
             coupl(nGC_78)**2d0*rMT - 2d0*cMT*coupl(nGC_78)*coupl(nGC_80)*rMT  &
              + cMT*coupl(nGC_80)**2d0*rMT + 2d0*coupl(nGC_35)**2d0*rMT**2d0 + &
             2d0*coupl(nGC_39)**2d0*rMT**2d0 + 2d0*coupl(nGC_78)*coupl(nGC_80)*&
             rMT**2d0) + Ten279*rMT*(-2d0*cMB*cMT*coupl(nGC_53)*coupl(nGC_77   &
             ) + 2d0*cMB*coupl(nGC_53)*coupl(nGC_77)*rMT - 2d0*cMT*coupl(nGC_23&
             )**2d0*rMT - cMT*coupl(nGC_53)**2d0*rMT - cMT*coupl(nGC_77)**2d0* &
             rMT + 2d0*coupl(nGC_23)**2d0*rMT**2d0 + coupl(nGC_53)**2d0*rMT**  &
             2d0 + coupl(nGC_77)**2d0*rMT**2d0) + 2d0*Ten280*coupl(nGC_79)**2d0&
             *rMT**2d0*(cMT - rMT) + 4d0*Ten281*coupl(nGC_2)**2d0*rMT**2d0*(-  &
             cMT + rMT) + 2d0*Ten282*rMT**2d0*(-cMT*coupl(nGC_35)**2d0 - cMT*  &
             coupl(nGC_39)**2d0 - cMT*coupl(nGC_78)*coupl(nGC_80) + coupl(     &
             nGC_35)**2d0*rMT + coupl(nGC_39)**2d0*rMT + coupl(nGC_78)*coupl(  &
             nGC_80)*rMT) + Ten283*rMT**2d0*(-2d0*cMT*coupl(nGC_23)**2d0 - cMT*&
             coupl(nGC_53)**2d0 - cMT*coupl(nGC_77)**2d0 + 2d0*coupl(nGC_23)** &
             2d0*rMT + coupl(nGC_53)**2d0*rMT + coupl(nGC_77)**2d0*rMT) + (-   &
             64d0*pi*aEW*cMT**2d0 + 64d0*pi*aEW*rMT**2d0 - 18d0*cMT*coupl(nGC_2&
             )**2d0*rMT + 9d0*cMT*coupl(nGC_23)**2d0*rMT + 9d0*cMT*coupl(nGC_35&
             )**2d0*rMT - 36d0*cMT*coupl(nGC_35)*coupl(nGC_39)*rMT + 9d0*cMT*  &
             coupl(nGC_39)**2d0*rMT)/(18d0*rMT))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMT_QED2 = cone*real(dMT_QED2,kind=dp)
    end if 
end subroutine set_ctparameter129
end module ctparameter129
