!******************************************************************************!
!                                                                              !
!    ctparameter14.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter14.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter14
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter14()
  if (dZsL_QED2_scheme .eq. 2) then
    dZsL_QED2 = (Ten102*coupl(nGC_1)**2d0 - Ten162*(2d0*coupl(nGC_38)**2d0 +   &
                coupl(nGC_74)*coupl(nGC_76)) - Ten163*coupl(nGC_75)**2d0 +     &
                Ten232*(2d0*coupl(nGC_23)**2d0 + coupl(nGC_57)**2d0) + Ten233*(&
                2d0*coupl(nGC_23)**2d0 + coupl(nGC_57)**2d0) - coupl(nGC_23)** &
                2d0 - coupl(nGC_38)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter14
end module ctparameter14
