!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(436)%branchR2(0:3))
      call avR2(436, 0, 17, 1, 0, FaVF0, (/1, 2/), (/nGC_680, nGC_681/))

      call avR2(436, 1, 17, 1, 0, FaVF0, (/3, 0/), (/nGC_673, nGC_673/))

      call avR2(436, 2, 18, 1, 0, FaVF0, (/3, 0/), (/nGC_670, nGC_670/))

      call avR2(436, 3, 18, 1, 0, FaVF0, (/1, 2/), (/nGC_678, nGC_679/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_692/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_482, nGC_491, nGC_491 &
      , nGC_483/))

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_618, nGC_619/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_694/))

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1208/))

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_530/))

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_727, nGC_726, nGC_725/))

      allocate(vertices(942)%branchR2(0:1))
      call avR2(942, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_624/))

      call avR2(942, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_625/))

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_698, nGC_698, nGC_698 &
      /))

      allocate(vertices(409)%branchR2(0:1))
      call avR2(409, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_513, nGC_514/))

      call avR2(409, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_502, nGC_502/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_482, nGC_483, nGC_497 &
      , nGC_497/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_519/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_710/))

      allocate(vertices(1063)%branchR2(0:1))
      call avR2(1063, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_479, nGC_498, nGC_498 &
      , nGC_478/))

      call avR2(1063, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_457, nGC_499, nGC_499 &
      , nGC_457/))

      allocate(vertices(332)%branchR2(0:1))
      call avR2(332, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_626/))

      call avR2(332, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_625/))

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_530/))

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_721/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_724/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_627/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_694/))

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_728, nGC_728, nGC_728&
      /))

      call avR2(1240, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_729, nGC_729, nGC_729&
      /))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_693/))

      allocate(vertices(920)%branchR2(0:1))
      call avR2(920, 0, 31, 1, 0, VFFa1, (/0, 3/), (/nGC_633, nGC_635/))

      call avR2(920, 1, 31, 1, 0, VFFa1, (/2, 1/), (/nGC_634, nGC_636/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_693/))

      allocate(vertices(286)%branchR2(0:1))
      call avR2(286, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_574, nGC_572/))

      call avR2(286, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_575, nGC_573/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_709, nGC_709, nGC_709 &
      /))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_504/))

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_551/))

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_527, nGC_526/))

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_707/))

      allocate(vertices(433)%branchR2(0:3))
      call avR2(433, 0, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_670, nGC_670/))

      call avR2(433, 1, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_678, nGC_679/))

      call avR2(433, 2, 23, 1, 0, VFaF0, (/1, 2/), (/nGC_680, nGC_681/))

      call avR2(433, 3, 23, 1, 0, VFaF0, (/3, 0/), (/nGC_673, nGC_673/))

      allocate(vertices(382)%branchR2(0:1))
      call avR2(382, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_601, nGC_600/))

      call avR2(382, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_602, nGC_602/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_705/))

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_716/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_710/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_714/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1208/))

      allocate(vertices(618)%branchR2(0:1))
      call avR2(618, 0, 29, 1, 0, FVFa1, (/0, 3/), (/nGC_626/))

      call avR2(618, 1, 29, 1, 0, FVFa1, (/2, 1/), (/nGC_625/))

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_713/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_720/))

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_703/))

      allocate(vertices(177)%branchR2(0:1))
      call avR2(177, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_586, nGC_584/))

      call avR2(177, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_587, nGC_585/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_726, nGC_725, nGC_727/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_685, nGC_687, nGC_686/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_618, nGC_619/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_710/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_518, nGC_517/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_706/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_509/))

      allocate(vertices(610)%branchR2(0:1))
      call avR2(610, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_513, nGC_514/))

      call avR2(610, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_502, nGC_502/))

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_710/))

      allocate(vertices(1242)%branchR2(0:1))
      call avR2(1242, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_717/))

      call avR2(1242, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_718/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_707/))

      allocate(vertices(656)%branchR2(0:1))
      call avR2(656, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_510, nGC_511/))

      call avR2(656, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_512, nGC_512/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_704/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_715/))

      allocate(vertices(195)%branchR2(0:1))
      call avR2(195, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_601, nGC_600/))

      call avR2(195, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_602, nGC_602/))

      allocate(vertices(912)%branchR2(0:1))
      call avR2(912, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_553, nGC_554/))

      call avR2(912, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_536, nGC_538/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_560/))

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_644, nGC_643/))

      allocate(vertices(422)%branchR2(0:1))
      call avR2(422, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_633, nGC_635/))

      call avR2(422, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_634, nGC_636/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_509/))

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_692/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_733, nGC_732, nGC_733/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_640, nGC_639/))

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_691/))

      allocate(vertices(1243)%branchR2(0:5))
      call avR2(1243, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1243, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1243, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_746, nGC_746, nGC_746&
      /))

      call avR2(1243, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_744, nGC_744, nGC_744&
      /))

      call avR2(1243, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1243, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_744, nGC_744, nGC_744&
      /))

      allocate(vertices(948)%branchR2(0:1))
      call avR2(948, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_553, nGC_554/))

      call avR2(948, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_536, nGC_538/))

      allocate(vertices(1244)%branchR2(0:1))
      call avR2(1244, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_728, nGC_728, nGC_728&
      /))

      call avR2(1244, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_729, nGC_729, nGC_729&
      /))

      allocate(vertices(1026)%branchR2(0:1))
      call avR2(1026, 0, 28, 1, 0, FaVF1, (/0, 3/), (/nGC_626/))

      call avR2(1026, 1, 28, 1, 0, FaVF1, (/2, 1/), (/nGC_625/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_696, nGC_695, nGC_696 &
      /))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_623/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_694/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_689/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_533/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_694/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_627/))

      allocate(vertices(301)%branchR2(0:1))
      call avR2(301, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_637, nGC_638/))

      call avR2(301, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_630, nGC_632/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_693/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_689/))

      allocate(vertices(1246)%branchR2(0:1))
      call avR2(1246, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_742, nGC_742, nGC_742&
      /))

      call avR2(1246, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_743, nGC_743, nGC_743&
      /))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_687, nGC_685, nGC_686/))

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_516, nGC_515/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_700, nGC_701, nGC_699/))

      allocate(vertices(1247)%branchR2(0:1))
      call avR2(1247, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_736/))

      call avR2(1247, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_737/))

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_714/))

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_721/))

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_693/))

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_534/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_691/))

    end subroutine fill_vertices_mdl5
end module vertices_info5
